## bolt-lmm 2.3.2%2Bdfsg

=== src/Makefile ===
### modify these paths to local Boost and NLopt install directories
BOOST_INSTALL_DIR = /home/pl88/boost_1_58_0/install
NLOPT_INSTALL_DIR = /n/groups/price/poru/HSPH_SVN/src/BOLT-LMM/nlopt-2.4.2

INTELROOT = /n/groups/price/poru/external_software/intel_mkl_2018
MKLROOT = ${INTELROOT}/mkl
ZLIB_STATIC_DIR = /n/groups/price/poru/external_software/zlib/zlib-1.2.11 # probably unnecessary on most systems
LIBSTDCXX_STATIC_DIR = /n/groups/price/poru/external_software/libstdc++/usr/lib/gcc/x86_64-redhat-linux/4.8.5/
GLIBC_STATIC_DIR = /home/pl88/glibc-static/usr/lib64

ifeq ($(strip ${linking}),)
	linking = dynamic
endif

# CC = g++
CC = icpc

ifeq (${debug},true)
	CFLAGS += -g
else
	CFLAGS += -O2
endif

CFLAGS += -msse -msse2
CFLAGS += -DUSE_SSE -DMEASURE_DGEMM -DVERBOSE
CFLAGS += -Wall


# add Boost include and lib paths
ifneq ($(strip ${BOOST_INSTALL_DIR}),)
	CPATHS += -I${BOOST_INSTALL_DIR}/include
	LPATHS += -L${BOOST_INSTALL_DIR}/lib
	ifeq (${linking},dynamic)
		LPATHS += -Wl,-rpath,${BOOST_INSTALL_DIR}/lib
	endif
endif

# add NLopt include and lib paths
ifneq ($(strip ${NLOPT_INSTALL_DIR}),)
	CPATHS += -I${NLOPT_INSTALL_DIR}/api
	LPATHS += -L${NLOPT_INSTALL_DIR}/.libs
	ifeq (${linking},dynamic)
		LPATHS += -Wl,-rpath,${NLOPT_INSTALL_DIR}/.libs
	endif
endif

# add zlib.a path for static linking on Orchestra
ifneq ($(strip ${ZLIB_STATIC_DIR}),)
	ifneq (${linking},dynamic)
		LPATHS += -L${ZLIB_STATIC_DIR}
	endif
endif

# add MKL paths (if not compiling with g++, i.e., compiling with icpc)
ifneq (${CC},g++)
	CPATHS += -I${MKLROOT}/include
	ifeq (${linking},dynamic)
		LPATHS += -L${MKLROOT}/lib/intel64 -Wl,-rpath,${MKLROOT}/lib/intel64 # for libmkl*
		LPATHS += -Wl,-rpath,${INTELROOT}/lib/intel64 # for libiomp5.so
	endif
endif

# add flags for static linking; build LAPACK/MKL component of link line
ifeq (${CC},g++)
	CFLAGS += -fopenmp
	LFLAGS += -fopenmp
	LLAPACK = -llapack -lgfortran
	ifeq (${linking},static)
		LFLAGS += -static
		LPATHS += -L${GLIBC_STATIC_DIR} -L${ZLIB_STATIC_DIR}
	else ifeq (${linking},static-except-glibc)
		LFLAGS += -static-libgcc -static-libstdc++
		LPATHS += -L${ZLIB_STATIC_DIR}
	endif
else
	CFLAGS += -DUSE_MKL #-DUSE_MKL_MALLOC
	CFLAGS += -qopenmp
	LFLAGS += -qopenmp
	CFLAGS += -Wunused-variable -Wpointer-arith -Wuninitialized -Wreturn-type -Wcheck -Wshadow
	ifeq (${linking},static)
		LFLAGS += -static
		LPATHS += -L${GLIBC_STATIC_DIR} -L${ZLIB_STATIC_DIR}
		LLAPACK = -Wl,--start-group ${MKLROOT}/lib/intel64/libmkl_intel_lp64.a ${MKLROOT}/lib/intel64/libmkl_core.a ${MKLROOT}/lib/intel64/libmkl_intel_thread.a -Wl,--end-group
	else ifeq (${linking},static-except-glibc)
		LFLAGS += -static-intel -static-libstdc++ -static-libgcc
		LPATHS += -L${ZLIB_STATIC_DIR}
		LLAPACK = -Wl,--start-group ${MKLROOT}/lib/intel64/libmkl_intel_lp64.a ${MKLROOT}/lib/intel64/libmkl_core.a ${MKLROOT}/lib/intel64/libmkl_intel_thread.a -Wl,--end-group
	else
		LLAPACK = -lmkl_intel_lp64 -lmkl_core -lmkl_intel_thread
	endif
# Note: If MKL LAPACK routines are called with arrays of size >= 2^31,
#       interface layer ILP64 (64-bit integer) is required.
#       However, since BOLT-LMM makes linear algebra calls in blocks, LP64 (32-bit)
#       should be sufficient.
endif

# build link line (minus flags)
LLIBS = -lboost_program_options -lboost_iostreams -lz -lnlopt
ifeq (${linking},static-except-glibc)
	L = -L${LIBSTDCXX_STATIC_DIR} ${LPATHS} -Wl,--wrap=memcpy -Wl,-Bstatic ${LLIBS} ${LLAPACK} -Wl,-Bdynamic -lpthread -lm
else
	L = ${LPATHS} ${LLIBS} ${LLAPACK} -lpthread -lm
endif



T = bolt
O = Bolt.o BoltParams.o BoltParEstCV.o BoltReml.o CovariateBasis.o DataMatrix.o FileUtils.o Jackknife.o LDscoreCalibration.o MapInterpolater.o MatrixUtils.o MemoryUtils.o NonlinearOptMulti.o NumericUtils.o PhenoBuilder.o RestrictSnpSet.o SnpData.o SnpInfo.o SpectrumTools.o StatsUtils.o StringUtils.o Timer.o memcpy.o
OMAIN = BoltMain.o $O

.PHONY: clean

%.o: %.cpp
	${CC} ${CFLAGS} ${CPATHS} -o $@ -c $<

$T: ${OMAIN}
	${CC} ${LFLAGS} -o $T ${OMAIN} $L

clean:
	rm -f *.o
	rm -f $T

## bolt-lmm 2.3.2+dfsg

=== debian/changelog ===
bolt-lmm (2.3.2+dfsg-3) unstable; urgency=medium

  * According to upstream, restrict arch to amd64 only. (Closes: #909858)
  * Standards-Version: 4.2.1.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 16 Nov 2018 07:55:14 +0100

bolt-lmm (2.3.2+dfsg-2) unstable; urgency=medium

  * Add libnlopt-cxx-dev to Build-Depends to fix FTBFS.
  * Install example files in the correct folder.

 -- Dylan Aïssi <bob.dybian@gmail.com>  Thu, 07 Jun 2018 07:50:09 +0200

bolt-lmm (2.3.2+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #899400)

 -- Dylan Aïssi <bob.dybian@gmail.com>  Fri, 25 May 2018 21:30:38 +0200

=== debian/control ===
Source: bolt-lmm
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               gfortran,
               libboost-dev,
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libnlopt-dev,
               libnlopt-cxx-dev,
               libopenblas-dev,
               zlib1g-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/bolt-lmm
Vcs-Git: https://salsa.debian.org/med-team/bolt-lmm.git
Homepage: https://data.broadinstitute.org/alkesgroup/BOLT-LMM/

Package: bolt-lmm
Architecture: amd64
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: bolt-lmm-doc
Description: Efficient large cohorts genome-wide Bayesian mixed-model association testing
 The BOLT-LMM software package currently consists of two main algorithms, the
 BOLT-LMM algorithm for mixed model association testing, and the BOLT-REML
 algorithm for variance components analysis (i.e., partitioning of
 SNP-heritability and estimation of genetic correlations).
 .
 The BOLT-LMM algorithm computes statistics for testing association between
 phenotype and genotypes using a linear mixed model. By default, BOLT-LMM
 assumes a Bayesian mixture-of-normals prior for the random effect attributed
 to SNPs other than the one being tested. This model generalizes the standard
 infinitesimal mixed model used by previous mixed model association methods,
 providing an opportunity for increased power to detect associations while
 controlling false positives. Additionally, BOLT-LMM applies algorithmic
 advances to compute mixed model association statistics much faster than
 eigendecomposition-based methods, both when using the Bayesian mixture model
 and when specialized to standard mixed model association.
 .
 The BOLT-REML algorithm estimates heritability explained by genotyped SNPs and
 genetic correlations among multiple traits measured on the same set of
 individuals. BOLT-REML applies variance components analysis to perform these
 tasks, supporting both multi-component modeling to partition SNP-heritability
 and multi-trait modeling to estimate correlations. BOLT-REML applies a Monte
 Carlo algorithm that is much faster than eigendecomposition-based methods for
 variance components analysis at large sample sizes.

Package: bolt-lmm-example
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Enhances: bolt-lmm
Description: Examples for bolt-lmm
 The BOLT-LMM software package currently consists of two main algorithms, the
 BOLT-LMM algorithm for mixed model association testing, and the BOLT-REML
 algorithm for variance components analysis (i.e., partitioning of
 SNP-heritability and estimation of genetic correlations).
 .
 This package provides some example data for bolt-lmm.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_auto_build:
	dh_auto_build
	cd $(CURDIR)/example/ && \
		tar Jcvf examples.tar.xz * --sort=name --mode=go=rX,u+rw,a-s --owner=root --group=root --numeric-owner

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog

## bolt-lmm 2.3.4+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 BOOST_INSTALL_DIR = /home/pl88/boost_1_58_0/install
 NLOPT_INSTALL_DIR = /n/groups/price/poru/HSPH_SVN/src/BOLT-LMM/nlopt-2.4.2
 
-INTELROOT = /n/groups/price/poru/external_software/intel_mkl_2018
+INTELROOT = /n/groups/price/poru/external_software/intel_mkl_2019u4
 MKLROOT = ${INTELROOT}/mkl
 ZLIB_STATIC_DIR = /n/groups/price/poru/external_software/zlib/zlib-1.2.11 # probably unnecessary on most systems
 LIBSTDCXX_STATIC_DIR = /n/groups/price/poru/external_software/libstdc++/usr/lib/gcc/x86_64-redhat-linux/4.8.5/
@@ -54,9 +54,13 @@
 # add MKL paths (if not compiling with g++, i.e., compiling with icpc)
 ifneq (${CC},g++)
 	CPATHS += -I${MKLROOT}/include
-	ifeq (${linking},dynamic)
+	ifeq (${linking},static)
+		LPATHS += -L${INTELROOT}/lib/intel64 '-Wl,-rpath,$$ORIGIN/lib' # for libiomp5.so (now packaged with binary)
+	else ifeq (${linking},static-except-glibc)
+		LPATHS += -L${INTELROOT}/lib/intel64 '-Wl,-rpath,$$ORIGIN/lib' # for libiomp5.so (now packaged with binary)
+	else
 		LPATHS += -L${MKLROOT}/lib/intel64 -Wl,-rpath,${MKLROOT}/lib/intel64 # for libmkl*
-		LPATHS += -Wl,-rpath,${INTELROOT}/lib/intel64 # for libiomp5.so
+		LPATHS += -L${INTELROOT}/lib/intel64 -Wl,-rpath,${INTELROOT}/lib/intel64 # for libiomp5.so
 	endif
 endif
 
@@ -77,16 +81,22 @@
 	CFLAGS += -qopenmp
 	LFLAGS += -qopenmp
 	CFLAGS += -Wunused-variable -Wpointer-arith -Wuninitialized -Wreturn-type -Wcheck -Wshadow
+	LIOMP5 = -liomp5
+	LDL = -ldl
 	ifeq (${linking},static)
 		LFLAGS += -static
 		LPATHS += -L${GLIBC_STATIC_DIR} -L${ZLIB_STATIC_DIR}
-		LLAPACK = -Wl,--start-group ${MKLROOT}/lib/intel64/libmkl_intel_lp64.a ${MKLROOT}/lib/intel64/libmkl_core.a ${MKLROOT}/lib/intel64/libmkl_intel_thread.a -Wl,--end-group
+		LLAPACK = -Wl,--start-group ${MKLROOT}/lib/intel64/libmkl_intel_lp64.a ${MKLROOT}/lib/intel64/libmkl_intel_thread.a ${MKLROOT}/lib/intel64/libmkl_core.a -Wl,--end-group
 	else ifeq (${linking},static-except-glibc)
 		LFLAGS += -static-intel -static-libstdc++ -static-libgcc
 		LPATHS += -L${ZLIB_STATIC_DIR}
-		LLAPACK = -Wl,--start-group ${MKLROOT}/lib/intel64/libmkl_intel_lp64.a ${MKLROOT}/lib/intel64/libmkl_core.a ${MKLROOT}/lib/intel64/libmkl_intel_thread.a -Wl,--end-group
+		LLAPACK = -Wl,--start-group ${MKLROOT}/lib/intel64/libmkl_intel_lp64.a ${MKLROOT}/lib/intel64/libmkl_intel_thread.a ${MKLROOT}/lib/intel64/libmkl_core.a -Wl,--end-group
+	else ifeq (${linking},static-except-glibc-intel)
+		LFLAGS += -static-libstdc++ -static-libgcc
+		LPATHS += -L${ZLIB_STATIC_DIR}
+		LLAPACK = -lmkl_intel_lp64 -lmkl_intel_thread -lmkl_core
 	else
-		LLAPACK = -lmkl_intel_lp64 -lmkl_core -lmkl_intel_thread
+		LLAPACK = -lmkl_intel_lp64 -lmkl_intel_thread -lmkl_core
 	endif
 # Note: If MKL LAPACK routines are called with arrays of size >= 2^31,
 #       interface layer ILP64 (64-bit integer) is required.
@@ -97,9 +107,11 @@
 # build link line (minus flags)
 LLIBS = -lboost_program_options -lboost_iostreams -lz -lnlopt
 ifeq (${linking},static-except-glibc)
-	L = -L${LIBSTDCXX_STATIC_DIR} ${LPATHS} -Wl,--wrap=memcpy -Wl,-Bstatic ${LLIBS} ${LLAPACK} -Wl,-Bdynamic -lpthread -lm
+	L = -L${LIBSTDCXX_STATIC_DIR} ${LPATHS} -Wl,--wrap=memcpy -Wl,-Bstatic ${LLIBS} ${LLAPACK} -Wl,-Bdynamic ${LIOMP5} -lpthread -lm ${LDL}
+else ifeq (${linking},static-except-glibc-intel)
+	L = -L${LIBSTDCXX_STATIC_DIR} ${LPATHS} -Wl,--wrap=memcpy -Wl,-Bstatic ${LLIBS} -Wl,-Bdynamic ${LLAPACK} ${LIOMP5} -lpthread -lm ${LDL}
 else
-	L = ${LPATHS} ${LLIBS} ${LLAPACK} -lpthread -lm
+	L = ${LPATHS} ${LLIBS} ${LLAPACK} ${LIOMP5} -lpthread -lm ${LDL}
 endif

=== debian/changelog ===
bolt-lmm (2.3.4+dfsg-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 19:59:15 +0000

bolt-lmm (2.3.4+dfsg-2) unstable; urgency=medium

  [ Frédéric Bonnard ]
  * Add support for i386 and ppc64el. (Closes: #942324)

  [ Dylan Aïssi ]
  * Standards-Version: 4.4.1.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 18 Dec 2019 22:54:23 +0100

bolt-lmm (2.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * Standards-Version: 4.4.0.
  * Bump debhelper compat 12.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 26 Sep 2019 21:35:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: bolt-lmm
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12~),
                gfortran,
                libboost-dev,
                libboost-iostreams-dev,
@@ -12,13 +13,13 @@
                libnlopt-cxx-dev,
                libopenblas-dev,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/bolt-lmm
 Vcs-Git: https://salsa.debian.org/med-team/bolt-lmm.git
 Homepage: https://data.broadinstitute.org/alkesgroup/BOLT-LMM/
 
 Package: bolt-lmm
-Architecture: amd64
+Architecture: amd64 i386 ppc64el
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: bolt-lmm-doc

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
+export DEB_CFLAGS_MAINT_APPEND = -DNO_WARN_X86_INTRINSICS
+endif
 
 %:
 	dh $@ --sourcedirectory=src

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://data.broadinstitute.org/alkesgroup/BOLT-LMM/downloads/ BOLT-LMM_v@ANY_VERSION@@ARCHIVE_EXT@

## bolt-lmm 2.3.6%2Bdfsg

=== debian/changelog ===
bolt-lmm (2.3.6+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Nov 2021 16:44:39 +0100

bolt-lmm (2.3.5+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Dominik George ]
  * Scan and mangle S3 bucket list in d/watch.

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 10 Oct 2021 08:39:22 +0200

bolt-lmm (2.3.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 21 Aug 2021 09:34:36 +0200

bolt-lmm (2.3.4+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Enable architecture all builds on arm64
    Closes: #976527
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Tue, 22 Dec 2020 15:48:38 +0100

## bolt-lmm 2.3.6+dfsg

=== debian/changelog ===
bolt-lmm (2.3.6+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 28 Jul 2022 16:48:04 +0200

## bolt-lmm 2.4.0+dfsg

=== debian/changelog ===
bolt-lmm (2.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 21:26:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: bolt-lmm
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                gfortran,
                libboost-dev,
                libboost-iostreams-dev,
@@ -13,10 +12,11 @@
                libnlopt-cxx-dev,
                libopenblas-dev,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/bolt-lmm
 Vcs-Git: https://salsa.debian.org/med-team/bolt-lmm.git
 Homepage: https://data.broadinstitute.org/alkesgroup/BOLT-LMM/
+Rules-Requires-Root: no
 
 Package: bolt-lmm
 Architecture: amd64 i386 ppc64el

## bolt-lmm 2.4.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
                libnlopt-dev,
                libnlopt-cxx-dev,
                libopenblas-dev,
+               libzstd-dev,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/bolt-lmm
 Vcs-Git: https://salsa.debian.org/med-team/bolt-lmm.git
 Homepage: https://data.broadinstitute.org/alkesgroup/BOLT-LMM/

## bolt-lmm 2.4.1+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -7,6 +7,8 @@
 ZLIB_STATIC_DIR = /n/groups/price/poru/external_software/zlib/zlib-1.2.11 # probably unnecessary on most systems
 LIBSTDCXX_STATIC_DIR = /n/groups/price/poru/external_software/libstdc++/usr/lib/gcc/x86_64-redhat-linux/4.8.5/
 GLIBC_STATIC_DIR = /home/pl88/glibc-static/usr/lib64
+
+ZSTD_DIR = /n/data1/bwh/medicine/loh/ploh/external_software/zstd-1.5.2/lib
 
 ifeq ($(strip ${linking}),)
 	linking = dynamic
@@ -50,6 +52,10 @@
 		LPATHS += -L${ZLIB_STATIC_DIR}
 	endif
 endif
+
+# add libzstd path
+CPATHS += -I${ZSTD_DIR}
+LPATHS += -L${ZSTD_DIR}
 
 # add MKL paths (if not compiling with g++, i.e., compiling with icpc)
 ifneq (${CC},g++)
@@ -105,7 +111,7 @@
 endif
 
 # build link line (minus flags)
-LLIBS = -lboost_program_options -lboost_iostreams -lz -lnlopt
+LLIBS = -lboost_program_options -lboost_iostreams -lzstd -lz -lnlopt
 ifeq (${linking},static-except-glibc)
 	L = -L${LIBSTDCXX_STATIC_DIR} ${LPATHS} -Wl,--wrap=memcpy -Wl,-Bstatic ${LLIBS} ${LLAPACK} -Wl,-Bdynamic ${LIOMP5} -lpthread -lm ${LDL}
 else ifeq (${linking},static-except-glibc-intel)

=== debian/changelog ===
bolt-lmm (2.4.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target
    Closes: #1043783, #1049735
  Remove patch simde.patch that is missing from debian/patches/series.

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jan 2024 21:05:33 +0100

bolt-lmm (2.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: libzstd-dev

 -- Andreas Tille <tille@debian.org>  Tue, 11 Jul 2023 12:10:41 +0200

bolt-lmm (2.4.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 03 Jul 2023 15:09:25 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
 %:
 	dh $@ --sourcedirectory=src
 
-override_dh_auto_build:
-	dh_auto_build
+override_dh_auto_build-indep:
 	cd $(CURDIR)/example/ && \
 		tar Jcvf examples.tar.xz * --sort=name --mode=go=rX,u+rw,a-s --owner=root --group=root --numeric-owner

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,pagemangle=s%<Key>([^<]*)</Key>%<Key><a href="$1">$1</a></Key>%g,repack,compression=xz" \
  https://storage.googleapis.com/broad-alkesgroup-public?prefix=BOLT-LMM/downloads/ (?:.*)BOLT-LMM_v@ANY_VERSION@@ARCHIVE_EXT@
